#!/bin/sh

cat <<EOF

Greetings;

To build this software, you need to run make and tell it what platform you
wish to build for.  For example, one might type the following on a 64-bit
Linux host:

   make PLATFORM=LINUXx64

The possibilities for the value for PLATFORM are:
EOF

grep 'ifeq "$(PLATFORM)" ' makefile | cut -f2 -d\'

cat<<EOF

Some other options are available, and may be configured via setting BOPTIONS.
These include:

  -DSKIPSNAPSHOT -- skip .snapshot directories (a NetApp convention)
                    The default is 1, so this is turned on

  -DSAFEREADDIR  -- only use the 'safe' version of readdir
                    Default, and highly recommended value, is 0

The default behavior could be achieved like so:

   make PLATFORM=LINUXx64 BOPTIONS='-DSKIPSNAPSHOT=1 -DSAFEREADDIR=0'

If you are not lucky, and the builds doesn't work, follow the
instructions in the comment at the top of the makefile.

EOF
